---
search:
  tags:
    - Smart Listings
    - GET
seo:
  description: >-
    Retrieves a specific smart listing by its ID. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id} endpoint in the
    Management API.
sidebar:
  label: Get a smart listing
  badge: GET
title: Get a smart listing
type: openapi-operation
---
Retrieves a specific smart listing by its ID

`GET /api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id}`

**Responses**

- `200` — smart-listing returned successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Could not find smart-listing to update
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "rules": [
      {
        "id": "string",
        "operator": "less-than",
        "target": "stock",
        "target_id": "string",
        "value_float": 0,
        "value_list": [
          "string"
        ],
        "value_string": "string"
      }
    ],
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
